import asyncio

import yaml
from yandex_music import Client

config = yaml.safe_load(open('config.yaml', 'r', encoding='utf-8'))
client = Client(token=config['token'])

async def main() -> None:
    client.init()
    len_playlist = client.users_likes_tracks()
    uid = client.account_status()['account']['uid']


    for track in client.users_playlists(kind=3)['tracks']:
        client.users_likes_tracks_remove(track_ids=track['id'])
        print(f'Удален трек: {track['track']['title']}')


if __name__ == '__main__':
    asyncio.run(main())